Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Interface AspectManagerServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  AspectManagerService

public interface AspectManagerServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `aspectDefinitions()` The temporary directory to which dyn class files are written
`String` | `bindings()` The temporary directory to which dyn class files are written
`boolean` | `getEnableLoadtimeWeaving()` The temporary directory to which dyn class files are written
`boolean` | `getEnableTransformer()` The temporary directory to which dyn class files are written
`String` | `getExclude()`
`String` | `getIgnore()`
`String` | `getInclude()`
`boolean` | `getOptimized()` Use aop optimizations.
`boolean` | `getPrune()`
`boolean` | `getSuppressTransformationErrors()`
`File` | `getTmpClassesDir()` The temporary directory to which dyn class files are written
`boolean` | `getVerbose()` Set the verbosity of aop logging.
`String` | `interceptorFactories()` The temporary directory to which dyn class files are written
`String` | `introductions()`
`String` | `registeredClassLoaders()` The temporary directory to which dyn class files are written
`void` | `setEnableLoadtimeWeaving(boolean enableTransformer)`
`void` | `setEnableTransformer(boolean enableTransformer)` The temporary directory to which dyn class files are written
`void` | `setExclude(String exclude)`
`void` | `setIgnore(String ignore)`
`void` | `setInclude(String include)`
`void` | `setOptimized(boolean verbose)` Use aop optimizations.
`void` | `setPrune(boolean prune)`
`void` | `setSuppressTransformationErrors(boolean suppressTransformationErrors)`
`void` | `setTmpClassesDir(File tmpClassesDir)` The temporary directory to which dyn class files are written
`void` | `setVerbose(boolean verbose)` Set the verbosity of aop logging.
`String` | `stacks()` The temporary directory to which dyn class files are written

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getTmpClassesDir

    public File getTmpClassesDir()

  The temporary directory to which dyn class files are written

### setTmpClassesDir

    public void setTmpClassesDir(File tmpClassesDir)

  The temporary directory to which dyn class files are written

### getVerbose

    public boolean getVerbose()

  Set the verbosity of aop logging. It doesn't use log4j

### setVerbose

    public void setVerbose(boolean verbose)

  Set the verbosity of aop logging. It doesn't use log4j

### getOptimized

    public boolean getOptimized()

  Use aop optimizations. Optional just in case there is a bug

### setOptimized

    public void setOptimized(boolean verbose)

  Use aop optimizations. Optional just in case there is a bug

### getSuppressTransformationErrors

    public boolean getSuppressTransformationErrors()

### setSuppressTransformationErrors

    public void setSuppressTransformationErrors(boolean suppressTransformationErrors)

### getEnableTransformer

    public boolean getEnableTransformer()

  The temporary directory to which dyn class files are written

### getEnableLoadtimeWeaving

    public boolean getEnableLoadtimeWeaving()

  The temporary directory to which dyn class files are written

### interceptorFactories

    public String interceptorFactories()

  The temporary directory to which dyn class files are written

### aspectDefinitions

    public String aspectDefinitions()

  The temporary directory to which dyn class files are written

### introductions

    public String introductions()

### stacks

    public String stacks()

  The temporary directory to which dyn class files are written

### bindings

    public String bindings()

  The temporary directory to which dyn class files are written

### registeredClassLoaders

    public String registeredClassLoaders()

  The temporary directory to which dyn class files are written

### setEnableTransformer

    public void setEnableTransformer(boolean enableTransformer)

  The temporary directory to which dyn class files are written

### setEnableLoadtimeWeaving

    public void setEnableLoadtimeWeaving(boolean enableTransformer)

### getExclude

    public String getExclude()

### setExclude

    public void setExclude(String exclude)

### getInclude

    public String getInclude()

### setInclude

    public void setInclude(String include)

### getPrune

    public boolean getPrune()

### setPrune

    public void setPrune(boolean prune)

### getIgnore

    public String getIgnore()

### setIgnore

    public void setIgnore(String ignore)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.